2026 changelog🔗
Here you'll find the 2026 changelog for Maia. Just want to read about new features? Read our New Features blog.
For an explanation of minimum Maia agent version, read Maia agent version tracks.
April🔗
April 1🔗
StreamingNew features 🎉
A public Terraform provider is now available for Streaming agents and Streaming pipelines, enabling you to create and configure Streaming agents and pipelines programmatically at scale using Terraform scripts. For more information, read Deploy Streaming agents and pipelines with Terraform.
March🔗
March 31🔗
BillingNew features 🎉
A Premium category has been introduced for selected connectors. These connectors require an additional subscription regardless of your current plan. For more information, contact your Matillion account representative. Minimum Maia agent version: All supported versions.
March 25🔗
DesignerNew features 🎉
- The Data Cleanse component is now available for transformation pipelines in Amazon Redshift projects. This component provides data profiling and cleansing capabilities to help you identify and resolve data quality issues in your datasets. Minimum Maia agent version: 11.147.0
ObservabilityNew features 🎉
- Added Webhook as a delivery channel for platform notifications, allowing users to route pipeline failure alerts to services such as Microsoft Teams, ServiceNow, or any internal tooling that accepts a webhook. Notifications can be configured at the project or environment level, removing the need to build notification logic into individual pipelines or rely solely on email alerts. For more information, read Pipeline notifications. Minimum Maia agent version: All supported versions.
DesignerNew Features 🎉Improvements 🔧
- Updated the shared pipeline experience. You can now configure scalar and grid variables in the Share pipeline dialog, including setting display names, marking variables as required, and reordering them. Variable descriptions are now visible when configuring the pipeline, and the Run Shared Pipeline component now provides clearer guidance on required and optional inputs. Minimum Maia agent version: All supported versions.
March 24🔗
ObservabilityNew features 🎉
You can now re-run pipelines directly from the Pipeline Observability dashboard without opening Designer. You can re-run an entire pipeline or re-run execution at the step level using dedicated icons to Run from step (re-runs that step and all downstream steps) or Run only step (re-runs that step in isolation), with each action creating a new pipeline execution. Minimum Maia agent version: All supported versions.
March 23🔗
APIImprovements 🔧
The following endpoints have been updated:
- The
Git-Provider-Access-Tokenheader parameter is now optional for POST/v1/projects/{projectId}/repositories.
MaiaNew features 🎉
- The IP allow list enables account access to be restricted to specific IP addresses or IP ranges. Minimum Maia agent version: All supported versions.
March 20🔗
DesignerNew features 🎉
- Added a new Column mapping parameter to Flex connectors and custom connectors. This parameter allows you to select fields from an unstructured dataset to load as individual columns. As a result, you don't need to use an Extract Nested Data component to unpack data into columns. Minimum Maia agent version: 11.234.0
APINew Endpoints 🎉Improvements 🔧
The following endpoints have been added to the Maia REST API:
Pipeline Quality Review
| Method | Endpoint | Description |
|---|---|---|
| POST | /v1/projects/{projectId}/reviews | Review pipelines against quality rules. |
Project Variables
| Method | Endpoint | Description |
|---|---|---|
| GET | /v1/projects/{projectId}/variables | Retrieve project variables. |
| POST | /v1/projects/{projectId}/variables | Create a project variable. |
| DELETE | /v1/projects/{projectId}/variables/{variableName} | Delete a project variable. |
| PATCH | /v1/projects/{projectId}/variables/{variableName} | Update a project variable. |
Project Variable Environment Overrides
| Method | Endpoint | Description |
|---|---|---|
| GET | /v1/projects/{projectId}/variables/{variableName}/environment-overrides | Retrieve environment-level overrides for a project variable. |
| POST | /v1/projects/{projectId}/variables/{variableName}/environment-overrides | Create an environment-level override for a project variable. |
| DELETE | /v1/projects/{projectId}/variables/{variableName}/environment-overrides/{environmentName} | Delete an environment-level override for a project variable. |
The following endpoints have been updated:
- Added a new Full SaaS Agent on Snowflake example to the request body for POST
/v1/projects.
March 19🔗
DesignerNew features 🎉
- Added a new Allow inherit project defaults toggle to control whether an environment inherits project-level variable values by default or requires manual overrides. For more information on managing these configurations, read Environments. Minimum Maia agent version: All supported versions.
- Added a new Oracle Load connector, which offers Full and Incremental load options. Minimum Maia agent version: 11.134.0
MaiaImprovements 🔧
- Users with the Contributor role on a project can now create and modify project variables, but can't delete them. For more information, read Project roles. Minimum Maia agent version: All supported versions.
March 18🔗
ObservabilityImprovements 🔧
Added a new table to the Audit event types section of the Audit Service page to list the Maia event types supported by the Audit API. Also updated the Account table to include additional event types. Minimum Maia agent version: All supported versions.
March 17🔗
DesignerNew features 🎉
New system variables for environment defaults have been added, allowing you to reference default connection values in your pipelines. These variables provide access to the default database, schema, warehouse, role, catalog, compute resource, S3 bucket, and application configured for the environment. For more information, read System variables. Minimum Maia agent version: 11.217.1
March 16🔗
DesignerNew features 🎉
Components:
- The following Load components are now available for Databricks:
Minimum Maia agent version: 11.154.0
March 11🔗
ObservabilityImprovements 🔧
Added a new table to the Audit event types section of the Audit Service page that lists the Project event type supported by the Audit API. Minimum Maia agent version: All supported versions.
MaiaImprovements 🔧
Updated the information shown when viewing artifacts. You can now see the Git hash of the commit that created the artifact, and the name of the user who created the artifact. Minimum Maia agent version: All supported versions.
StreamingImprovements 🔧
- Updated the Streaming agent version from
2.115.1to2.116.1. - Library updates and security fixes.
-
Added a new advanced property called
matillion.snowflake.maintain-primary-keys(default:false). When enabled, the Streaming agent will mirror primary key constraints from your source database onto the destination Snowflake tables. This includes table creation and schema changes. If changes to the primary key of a table are required, writes to the source table must be stopped and outstanding changes allowed to flow through to Snowflake before stopping the pipeline. Once the primary key update is complete, the pipeline can be restarted. To enable this feature, add the following to your Streaming pipeline's advanced properties:matillion.snowflake.maintain-primary-keys=true
Note
This is a Snowflake-specific property and has no effect on other target types. Snowflake primary keys are unenforced (informational only), but they can be useful for query optimization hints and downstream tooling that reads table metadata.
March 9🔗
ObservabilityImprovements 🔧
- The Your activity page that displays the pipeline run history has been updated to improve visibility and make troubleshooting faster. The update simplifies the run history view and adds new information to help you quickly understand pipeline runs and identify issues during investigations. For more information, read Pipeline run table columns. Minimum Maia agent version: All supported versions.
UINew Features 🎉Improvements 🔧
- Added support for environment-level secrets and OAuth credentials, allowing you to manage secrets and OAuth credentials at the environment level for more granular control and simplified cross-environment credential management. For more information, read Configure values and overrides.
- You can now edit existing secrets and OAuths, making it easier to rotate credentials.
Minimum Maia agent version: All supported versions.
APINew Endpoints 🎉Improvements 🔧
- Credential management has been simplified into a single API endpoint for connections.
- The following endpoints have been added to the Maia REST API:
Connections
| Method | Endpoint | Description |
|---|---|---|
| DELETE | /v1/projects/{projectId}/connections | Delete a project connection by name. |
| GET | /v1/projects/{projectId}/connections | Retrieve a page of project connections, optionally filtered by parameters. |
| POST | /v1/projects/{projectId}/connections | Create a new project connection. |
| PUT | /v1/projects/{projectId}/connections | Update an existing project connection by name. |
| DELETE | /v1/projects/{projectId}/connections/environment-overrides | Delete environment connection overrides. |
| GET | /v1/projects/{projectId}/connections/environment-overrides | Retrieve a page of connection overrides which apply in a specific environment. |
| POST | /v1/projects/{projectId}/connections/environment-overrides | Create or update an environment connection override. |
The following endpoints have been updated:
- Added a new enum value of
SKIPPEDto thestatusquery parameter for GET/v1/pipeline-executions.
March 6🔗
DesignerNew features 🎉
Connectors:
- Microsoft Exchange has been added as a new source to the Data Transfer component. This enables users to transfer attachments from Exchange email messages and calendar events using OAuth-based authentication. Minimum Maia agent version: 11.183.0
March 3🔗
APINew Endpoints 🎉
The following endpoint has been added to the Maia REST API:
Secrets
| Method | Endpoint | Description |
|---|---|---|
| POST | /v1/secrets/{agentId}/secret-value | Set a secret value for a Maia agent |
DesignerNew features 🎉
- Added a new Sybase ASE Load connector, which offers Full and Incremental Load options. We recommend using this connector instead of using the Database Query component to connect to Sybase ASE. Minimum Maia agent version: 11.191.2
March 2🔗
DesignerNew features 🎉
Maia:
- Maia can now notify you when it finishes processing or requires your input. This means you can prompt Maia, then switch to another task, and return as soon as Maia has finished working on your prompt. For more information, read Background notifications. Minimum Maia agent version: All supported versions.
DesignerImprovements 🔧
GitHub integration:
- The Matillion App for GitHub (BYOG) now requests read and write access to GitHub Actions workflow files. This enables Maia to update and manage workflow files (
.github/workflows/) in connected repositories as part of GitHub pipeline management. Minimum Maia agent version: All supported versions.
Pipeline observability:
- In the Fix with Maia dialog, Maia uses contextual awareness of the executed pipeline's codebase and history to suggest the most relevant branch based on commit and publish history, and automatically selects the environment where the failure occurred. For more information, read Maia assisted - intelligent pipeline recovery. Minimum Maia agent version: All supported versions.
February🔗
February 27🔗
DesignerNew features 🎉
A new Warehouse data tab is available when you click the Add component icon on the canvas, allowing you to directly add data from your warehouse as a Table Input component in transformation pipelines. Minimum Maia agent version: All supported versions.
February 26🔗
DesignerNew features 🎉
Pipeline Observability:
- The Pipeline run history page now displays Skipped pipeline runs when a schedule has Allow concurrent schedule runs disabled and a new execution is triggered while a previous run for the same schedule is still in progress. Skipped runs are recorded with an amber status indicator.
- You can now search pipeline runs by Execution ID, in addition to pipeline name.
Minimum Maia agent version for all new pipeline observability features: All supported versions.
DesignerImprovements 🔧
Maia:
Maia now supports workload conversion from Apache NiFi, IBM DataStage, WhereScape, and Oracle ODI, enabling you to convert existing ETL/ELT workloads into production-ready Maia pipelines. Minimum Maia agent version: All supported versions.
February 23🔗
DesignerNew features 🎉
Maia:
- Maia can now ask questions in your conversations to better understand your prompts.
- When approving tool permissions in your chats with Maia, you can now provide a reason when declining permissions. This can help Maia to better understand your prompt or to adjust its approach.
- Maia now dynamically updates your conversation titles to accurately reflect the topic of discussion, making it easier to understand your conversation history and return to previous conversations.
Minimum Maia agent version for all Maia updates: All supported versions.
February 19🔗
DesignerNew features 🎉
- A Data Cleanse component is now available for transformation pipelines in Snowflake projects. This component provides data profiling and cleansing capabilities to help you identify and resolve data quality issues in your datasets. Minimum Maia agent version: 11.147.0
February 12🔗
StreamingImprovements 🔧
- Updated the Streaming agent version from
2.113.75to2.115.1. - Db2 for IBM i: Added Heartbeat functionality
- Library updates and security fixes.
February 10🔗
DesignerNew features 🎉
Maia:
- You can now create skills to help Maia respond to your prompts more effectively. Skills are sets of reusable instructions that are particularly useful if you often give Maia repetitive prompts. They provide guidelines and standards for Maia to follow, which means you don't need to include this information in every prompt. Minimum Maia agent version: All supported versions.
Pipeline quality review:
- You can now automatically fix selected pipeline quality rule violations using Fix with Maia from the Review results panel, helping resolve common issues such as component naming, missing start or end components, and unused components.
- Added a new Review all pipelines option to the Designer canvas. This lets you review all orchestration and transformation pipelines in a branch in a single action, making it easier to identify pipeline quality issues across your branch.
- You can now choose to run pipeline quality checks from the Commit changes dialog by enabling the review option before committing. When enabled, commits are blocked if rule violations with an error enforcement level are detected, while commits with warnings or no issues proceed successfully.
- Minimum Maia agent version for all new pipeline quality review features: All supported versions.
APIImprovements 🔧
The following endpoints have been updated:
- Added a
[FULL_SAAS]enum value to propertyagentDeploymentTypefor POST/v1/projects. - Added a 403 response to DELETE
/v1/projects/{projectId}/secret-references/{secretReferenceName}.
February 9🔗
BillingNew features 🎉
A new Additional Users tab is now available in the Consumption Dashboard, providing visibility into individual user credit charges incurred during the current billing period. Minimum Maia agent version: All supported versions.
February 4🔗
DesignerImprovements 🔧
Connectors:
- A new OAuth 2.0 Client Credentials option is now available in the Authentication type drop-down for the Salesforce Load connector. Minimum Maia agent version: 11.67.0
January🔗
January 30🔗
Maia agentsNew features 🎉
- Hybrid SaaS Maia agents can now export Maia agent logs to Matillion's systems for support purposes. This facilitates faster response if support is needed. This feature can be enabled or disabled in the Maia agent settings. For more information, read Export logs. Minimum Maia agent version: 11.46.1
January 27🔗
DesignerImprovements 🔧
- Added a new property to the Workday Load component. The new Advanced Mode Type property lets you choose whether to use an SQL query or SOAP operation to fetch your data. Minimum Maia agent version: 11.120.0
January 21🔗
DesignerNew features 🎉
Maia:
- Convert Workloads has been added to Maia. This new feature allows users to leverage Maia's intelligence to seamlessly convert existing ETL/ELT workloads from other platforms into production-ready Maia pipelines. Minimum Maia agent version: All supported versions.
January 15🔗
APIImprovements 🔧
The following endpoint has been updated:
- Added the
pipelineNamefield to thedimensionsobject of the response for GET/v1/consumption. Applies to orchestration and transformation pipeline credit usage types.
January 14🔗
DesignerNew features 🎉
Pipeline Observability:
- Added Slack as a delivery channel for platform notifications, allowing users to receive pipeline failure alerts directly in Slack. Notifications can be configured at the project or environment level, removing the need to build notification logic into individual pipelines or rely solely on email alerts. For more information, read Pipeline notifications. Minimum Maia agent version: All supported versions.
January 13🔗
DesignerNew features 🎉
Connectors:
- Added an Amazon Redshift Load connector for Snowflake projects. This connector offers Incremental Load and we recommend using it instead of the Database Query component to connect to Amazon Redshift. Minimum Maia agent version: 11.94.0
DesignerImprovements 🔧
Roles:
- The Runner role is now renamed to Operator. This role can now modify environment-level overrides for project-level variables, secret definitions, and OAuths. For more information, read Environment roles. Minimum Maia agent version: All supported versions.
January 6🔗
DesignerNew features 🎉
Maia:
- Added Fix with Maia, a new feature that allows users to leverage Maia's capabilities to automatically identify and fix issues in their scheduled or API-executed pipeline, reducing downtime and improving efficiency. Minimum Maia agent version: All supported versions.
Connectors:
- Added a new HubSpot Load connector, which uses the HubSpot API to retrieve your data. This connector offers Full and Incremental Load options. Minimum Maia agent version: 11.72.0